<%@page import="Modelo.CodAsistencia"%>
<%@page import="Modelo.Jugador"%>
<%@page import="Modelo.Jornada"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %> 
<%@ include file="/includes/header.jsp" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->    
<!--  <link href="css/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">-->
  
</head>

<body>
    <div id="crearEntrenamiento-page" class="row">
        <%  String operacion = request.getParameter("operacion");
            if(operacion.equals("VER")){%>
        <form action="descargarAsistencia" method="post">
        <%}else{%>
        <form action="guardarAsistencia" method="post">
        <%}%>
            <%  ArrayList<Jugador> jugadores = (ArrayList<Jugador>) request.getAttribute("lista_jugadores");
                int tamaño = jugadores.size();
                if(operacion.equals("REG")){
            %>
            <div class="row">
                <br>
                <br>
            </div>
            <div class="row">
                <div class=" row margin input-field col m3 ">
                    <i class="Small material-icons prefix">event</i>
                    <input type="text" class="datepicker" format="yyyy-MM-dd" name="fecha_asistencia" id="fecha_asistencia">
                    <label>Introduzca la fecha de entrenamiento</label>
                </div>
            </div>
            <table class="centered">
                <thead>
                    <tr>
                        <% for (int i = 0; i<tamaño; i++){
                            String id_jugador = jugadores.get(i).getId_jugador();
                            String nom_apel = jugadores.get(i).getNombre_jugador()+" "+jugadores.get(i).getApellidos_jugador();
                        %>
                        <th><%=nom_apel%></th>
                        <div class="row margin col m3">
                            <input type="hidden" name="jugador<%=i%>" id="jugador<%=i%>" value="<%=id_jugador%>">
                        </div>
                        <%}%>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <% for (int j = 0; j<tamaño; j++){ %>
                        <td>
                            <div class="input-field col s12">
                                <select name="asistencia_<%=j%>" id="asistencia_<%=j%>">
                                    <option value="" disabled selected>Asistencia</option>
                                    <% for (CodAsistencia ca : (ArrayList<CodAsistencia>) request.getAttribute("cod_asistencia")) {
                                        request.setAttribute("ca", ca);
                                    %>
                                    <option value="${ca.cod_asistencia}">${ca.descripcion_asis}</option>
                                    <% } %>
                                </select>
                                <label>Asistencia:</label>
                            </div>
                        </td>
                        <%}%>
                    </tr>
                </tbody>
            </table>
            <div class="row margin">
                <button class="btn waves-effect waves-light col s2 orange darken-3" type="submit" id="guardar" name="guardar">Guardar Asistencia
                </button>
                <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
            </div>
            <% if (request.getSession().getAttribute("message") != null) {%>
            ${message}
            <% request.getSession().removeAttribute("message");
                }%>
            <%}else if (operacion.equals("MOD")){
                ArrayList<ArrayList<String>> asistencia = (ArrayList<ArrayList<String>>)request.getAttribute("asistencia");
            %>
            <div class="row">   
                <br>
                <br>
            </div>
            <div class="row">
                <div class=" row margin input-field col m3 ">
                    <i class="Small material-icons prefix">event</i>
                    <input disabled type="text" class="datepicker" value="<%=request.getParameter("fecha_asis")%>" name="fecha_asis" id="fecha_asis">
                    <label>Introduzca la fecha de entrenamiento</label>
                </div>
            </div>
            <table class="centered">
                <thead>
                    <tr>
                        <% for (int i = 0; i<tamaño; i++){
                            String id_jugador = jugadores.get(i).getId_jugador();
                            String nom_apel = jugadores.get(i).getNombre_jugador()+" "+jugadores.get(i).getApellidos_jugador();
                        %>
                        <th><%=nom_apel%></th>
                        <div class="row margin col m3">
                            <input type="hidden" name="jugador<%=i%>" id="jugador<%=i%>" value="<%=id_jugador%>">
                            <input type="hidden" name="fecha_asistencia" id="fecha_asistencia" value="<%=request.getParameter("fecha_asis")%>">
                        </div>
                        <%}%>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <% for (int j = 0; j<tamaño; j++){ %>
                        <td>
                            <div class="input-field col s12">
                                <select name="asistencia_<%=j%>" id="asistencia_<%=j%>">
                                    <option value="" disabled selected>Asistencia</option>
                                    <% for (CodAsistencia ca : (ArrayList<CodAsistencia>) request.getAttribute("cod_asistencia")) {
                                        request.setAttribute("ca", ca);
                                        String asis = asistencia.get(j).get(0);
                                        String selected = "";
                                        if(asis.equals(ca.getCod_asistencia())){
                                            selected = "selected";
                                        }
                                    %>
                                    <option value="${ca.cod_asistencia}" <%=selected%>>${ca.descripcion_asis}</option>
                                    <% } %>
                                </select>
                                <label>Asistencia:</label>
                            </div>
                        </td>
                        <%}%>
                    </tr>
                </tbody>
            </table>
            <div class="row margin">
                <button class="btn waves-effect waves-light col s2 orange darken-3" type="submit" id="guardar" name="guardar">Guardar Asistencia
                </button>
                <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
            </div>
            <% if (request.getSession().getAttribute("message") != null) {%>
            ${message}
            <% request.getSession().removeAttribute("message");
                }%>
            <%}else if (operacion.equals("VER")){
                ArrayList<ArrayList<String>> asistencia = (ArrayList<ArrayList<String>>)request.getAttribute("asistencia");
            %>
            <div class="row">   
                <br>
                <br>
            </div>
            <div class="row">
                <div class=" row margin input-field col m3 ">
                    <i class="Small material-icons prefix">event</i>
                    <input disabled type="text" class="datepicker" value="<%=request.getParameter("fecha_asis")%>" name="fecha_asis" id="fecha_asis">
                    <label>Introduzca la fecha de entrenamiento</label>
                </div>
            </div>
            <table class="centered">
                <thead>
                    <tr>
                        <% for (int i = 0; i<tamaño; i++){
                            String id_jugador = jugadores.get(i).getId_jugador();
                            String nom_apel = jugadores.get(i).getNombre_jugador()+" "+jugadores.get(i).getApellidos_jugador();
                        %>
                        <th><%=nom_apel%></th>
                        <div class="row margin col m3">
                            <input type="hidden" name="jugador<%=i%>" id="jugador<%=i%>" value="<%=id_jugador%>">
                            <input type="hidden" name="fecha_asistencia" id="fecha_asistencia" value="<%=request.getParameter("fecha_asis")%>">
                        </div>
                        <%}%>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <% for (int j = 0; j<tamaño; j++){ %>
                        <td>
                            <div class="input-field col s12">
                                <select disabled name="asistencia_<%=j%>" id="asistencia_<%=j%>">
                                    <option value="" disabled selected>Asistencia</option>
                                    <% for (CodAsistencia ca : (ArrayList<CodAsistencia>) request.getAttribute("cod_asistencia")) {
                                        request.setAttribute("ca", ca);
                                        String asis = asistencia.get(j).get(0);
                                        String selected = "";
                                        if(asis.equals(ca.getCod_asistencia())){
                                            selected = "selected";
                                        }
                                    %>
                                    <option value="${ca.cod_asistencia}" <%=selected%>>${ca.descripcion_asis}</option>
                                    <% } %>
                                </select>
                                <label>Asistencia:</label>
                            </div>
                        </td>
                        <%}%>
                    </tr>
                </tbody>
            </table>
            <div class="row margin">
                <button class="btn waves-effect waves-light col s2 orange darken-3" type="submit" id="guardar" name="guardar">Descargar Asistencia
                </button>
                <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
            </div>
            <%}%>
        </form>
    </div>
  <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $(document).ready(function(){
        $('.datepicker').datepicker();
    });
    
    $(document).ready(function(){
            $('select').formSelect();
    });
    
    $( '#guardar' ).click(function() {
        var operacion = document.getElementById('operacion').value;
        if($("#fecha_asistencia").val() === "" && operacion === "REG"){
          alert("Introduzca la fecha del entrenamiento para guardar la asistencia");
          return false; 
        }
        var tamaño = document.getElementById('tamaño').value;
        for (var i = 0; i<tamaño; i++){
            var asistencia = document.getElementById('asistencia_'+i).value;
            if(asistencia == null || asistencia.length == 0|| /^\s+$/.test(asistencia)){
                alert('Debe asignarse una asistencia a cada jugador');
                return false;
            }
        }
            return true;
    });
  </script>


</body>

</html>

<% }%>