<%@page import="Modelo.Equipo"%>
<%@page import="Modelo.Usuario"%>
<%@page import="Datos.UsuarioDB"%>
<%@page import="java.util.ArrayList"%>
<%@page import="Modelo.MiembrosClub"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%  if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %>
<%@ include file="/includes/header.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<body>
<%      String operacion = request.getParameter("operacion");
        String boton = "";
        Equipo equipo = null;
        if(operacion.equals("MOD")){
            boton = "Modificar equipo";
            equipo = (Equipo) request.getAttribute("equipo");
        } else {
            boton = "Registrar equipo";
        }
        if(equipo == null){
%>
<div id="registro-page" class="row">
    <form action="crearEquipo2" method="post">
        <div class="row margin"><br><br></div>
        <div class="row margin">
            <div class="input-field col s2">
                <input id="nombreEquipo" name="nombreEquipo" type="text">
                <label for="nombreEquipo" class="center-align">Nombre del equipo:</label>
                <input type="hidden" name="operacion" id="operacion" value="<%=operacion%>">
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="categoriaEquipo" id="categoriaEquipo">
                    <option value="" disabled selected>Seleccione una categoria</option>
                        <option value="B1">Benjamin 1er año</option>
                        <option value="B2">Benjamin 2º año</option>
                        <option value="A1">Alevín 1er año</option>
                        <option value="A2">Alevín 2º año</option>
                        <option value="I1">Infantil 1er año</option>
                        <option value="I2">Infantil 2º año</option>
                        <option value="C1">Cadete 1er año</option>
                        <option value="C2">Cadete 2º año</option>
                        <option value="J1">Junior 1er año</option>
                        <option value="J2">Junior 2º año</option>
                </select>
                <label>Selecciona una categoria :</label>
            </div>
        </div>
        <div class="row margin">
            Sexo del equipo:
            <p>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoM" value="M" type="radio"  />
                    <span>Masculino</span>
                </label>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoF" value="F" type="radio"  />
                    <span>Femenino</span>
                </label>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoX" value="X" type="radio"  />
                    <span>Mixto</span>
                </label>
            </p>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="entrenador1" id="entrenador1">
                    <option value="" disabled selected>Seleccione un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                        %>
                        <option value=${usuarioE.id_usuario}>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="entrenador2" id="entrenador2">
                    <option value="" disabled selected>Selecciona un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                        %>
                        <option value=${usuarioE.id_usuario}>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="delegado" id="delegado">
                    <option value="" disabled selected>Selecciona un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                        %>
                        <option value=${usuarioE.id_usuario}>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <button class="btn waves-effect waves-light col s1 orange darken-4" type="submit" id="crear" name="crear">Crear equipo
            </button>
        </div>
    </form>
</div>
<% } else {
    
    String id_club = equipo.getId_club();
    String id_equipo = equipo.getId_equipo();
    String nombre = equipo.getNombre_equipo();
    String categoria = equipo.getCategoria_equipo();
    String sexo = equipo.getSexo_equipo();
    String sexo_M = "";
    String sexo_F = "";
    String sexo_X = "";
    if(sexo.equals("M")){
        sexo_M = "checked";
    }else if(sexo.equals("F")){
        sexo_F="checked";
    }else if(sexo.equals("X")){
        sexo_X="checked";
    }
    String id_entrenador1 = equipo.getEntrenador1();
    
    String id_entrenador2 = equipo.getEntrenador2();
    String id_delegado = equipo.getDelegado();
    String B1 = "";
    if(categoria.equals("B1")){
        B1="selected";
    }
    String B2 = "";
    if(categoria.equals("B2")){
            B2="selected";
        }
    String A1 = "";
    if(categoria.equals("A1")){
        A1="selected";
    }
    String A2 = "";
    if(categoria.equals("A2")){
        A2="selected";
    }
    String I1 = "";
    if(categoria.equals("I1")){
        I1="selected";
    }
    String I2 = "";
    if(categoria.equals("I2")){
        I2="selected";
    }
    String C1 = "";
    if(categoria.equals("C1")){
        C1="selected";
    }
    String C2 = "";
    if(categoria.equals("C2")){
        C2="selected";
    }
    String J1 = "";
    if(categoria.equals("J1")){
        J1="selected";
    }
    String J2 = "";
    if(categoria.equals("J2")){
        J2="selected";
    }
%>       
<div id="registro-page" class="row">
    <form action="crearEquipo2" method="post">
        <div class="row margin">
            <br>
            <br>
        </div>
        <div class="row margin">
            <div class="input-field col s2">
                <input id="nombreEquipo" name="nombreEquipo" type="text" value="<%=nombre%>">
                <label for="nombreEquipo" class="center-align">Nombre del equipo:</label>
                <input type="hidden" name="operacion" id="operacion" value="<%=operacion%>">
                <input type="hidden" name="id_club" id="id_club" value="<%=id_club%>">
                <input type="hidden" name="id_equipo" id="id_equipo" value="<%=id_equipo%>">
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="categoriaEquipo" id="categoriaEquipo" value="<%=categoria%>">
                    <option value="" disabled selected>Seleccione una categoria</option>
                        <option value="B1" <%=B1%>>Benjamin 1er año</option>
                        <option value="B2" <%=B2%>>Benjamin 2º año</option>
                        <option value="A1" <%=A1%>>Alevín 1er año</option>
                        <option value="A2" <%=A2%>>Alevín 2º año</option>
                        <option value="I1" <%=I1%>>Infantil 1er año</option>
                        <option value="I2" <%=I2%>>Infantil 2º año</option>
                        <option value="C1" <%=C1%>>Cadete 1er año</option>
                        <option value="C2" <%=C2%>>Cadete 2º año</option>
                        <option value="J1" <%=J1%>>Junior 1er año</option>
                        <option value="J2" <%=J2%>>Junior 2º año</option>
                </select>
                <label>Selecciona una categoria :</label>
            </div>
        </div>
        <div class="row margin">
            Sexo del equipo:
            <p>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoM" value="M" <%=sexo_M%> type="radio"  />
                    <span>Masculino</span>
                </label>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoF" value="F" <%=sexo_F%> type="radio"  />
                    <span>Femenino</span>
                </label>
                <label>
                    <input class="with-gap" name="sexoEquipo" id ="sexoEquipoX" value="X" <%=sexo_X%> type="radio"  />
                    <span>Mixto</span>
                </label>
            </p>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="entrenador1" id="entrenador1" value="<%=id_entrenador1%>">
                    <option value="" disabled selected>Selecciona un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                            String selected = "";
                            if(id_entrenador1.equals(usuarioE.getId_usuario())){
                                selected = "selected";
                            }
                        %>
                        <option value=${usuarioE.id_usuario} <%=selected%>>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="entrenador2" id="entrenador2" value="<%=id_entrenador2%>">
                    <option value="" disabled selected>Selecciona un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                            String selected = "";
                            if(id_entrenador2.equals(usuarioE.getId_usuario())){
                                selected = "selected";
                            }
                        %>
                        <option value=${usuarioE.id_usuario} <%=selected%>>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s4">
                <select name="delegado" id="delegado" value="<%=id_delegado%>">
                    <option value="" disabled selected>Selecciona un entrenador</option>
                    <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario); 
                            request.setAttribute("usuarioE", usuarioE);
                            String selected = "";
                            if(id_delegado.equals(usuarioE.getId_usuario())){
                                selected = "selected";
                            }
                        %>
                        <option value=${usuarioE.id_usuario} <%=selected%>>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                </select>
                <label>Selecciona un entrenador :</label>
            </div>
        </div>
        <div class="row margin">
            <button class="btn waves-effect waves-light col s1 orange darken-4" type="submit" id="crear" name="crear"><%=boton%>
            </button>
        </div>
    </form>
</div>
<%}%>
<!-- ================================================
      Scripts
      ================================================ -->

    <!-- jQuery Library -->
    <script type="text/javascript" src="js/jquery.js"></script>
    <!--materialize js-->
    <script type="text/javascript" src="js/materialize.min.js"></script>
    <!---script comprobaciones --->
    <script type="text/javascrpit" src="js/validarFormulario.js"></script>
    <script type="text/javascrpit" src="js/ajax.js"></script>
    <script> 
        $(document).ready(function(){
            $('select').formSelect();
        });
        
        
        $("#crear").click(function() {   
            if($("#nombreEquipo").val() === ""){
                alert("El campo nombre no puede estar vacio");
                return false;
            }else if($("#categoriaEquipo").val() === null){
                alert("El campo categoria no puede estar vacio");
                return false;
            }else if($("#sexoEquipoM:checked").val() !== "M" && $("#sexoEquipoF:checked").val() !== "F" && $("#sexoEquipoX:checked").val() !== "X"){
                alert("El campo sexo no puede estar vacío");
                return false;
            }else if(($("#entrenador1").val() === null) && ($("#entrenador2").val() === null) && ($("#delegado").val() === null)){
                alert("Tiene que haber al menos un entrenador");
                return false;
            }else if (($("#entrenador1").val() !== null && $("#entrenador1").val() === $("#entrenador2").val()) ||
                      ($("#entrenador1").val() !== null && $("#entrenador1").val() === $("#delegado").val()) ||
                      ($("#entrenador2").val() !== null && $("#entrenador2").val() === $("#delegado").val())){
                alert("No puede haber dos entrenadores iguales");
                return false;
            }else{
                return true;
            }
        });
    </script>


</body>

</html>

<%}%>