<%@page import="Modelo.Partido"%>
<%@page import="Modelo.CodAsistencia"%>
<%@page import="Modelo.Jugador"%>
<%@page import="Modelo.Jornada"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %>
<%@ include file="/includes/header.jsp" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->    
<!--  <link href="css/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">-->
  
</head>

<body>
    <%
    String operacion = request.getParameter("operacion");
    if(operacion.equals("REG")){
    int tamaño = Integer.parseInt(request.getParameter("equipos"));
    %>
    <div id="crearEntrenamiento-page" class="row">
        <form action="guardarJornada" method="post">
        <div class="row">
            <br>
            <br>
        </div>
        <div class="row">
            <div class=" row margin input-field col m3 ">
                <i class="Small material-icons prefix">event</i>
                <input type="text" class="datepicker" name="fecha_jornada" id="fecha_jornada">
                <label>Introduzca el primer dia de la jornada</label>
            </div>
        </div>
        <table class="striped centered">
        <thead>
            <tr>
                <th>Equipo Local</th>
                <th colspan="3">Resultado</th>
                <th>Equipo visitante</th>
                <th>Fecha</th>
                <th>Hora</th>
                <th>Lugar</th>
            </tr>
        </thead>
        <tbody>
            <% for (int i = 0; i<tamaño; i++){
            %>
            <tr>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo1_<%=i%>" id="equipo1_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado1_<%=i%>" id="resultado1_<%=i%>" readonly>
                        </div>
                    </div>
                </td>
                <td>-</td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado2_<%=i%>" id="resultado2_<%=i%>" readonly>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo2_<%=i%>" id="equipo2_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input type="text" class="datepicker" name="fecha_<%=i%>" id="fecha_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="hora_<%=i%>" id="hora_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="lugar_<%=i%>" id="lugar_<%=i%>">
                        </div>
                    </div>
                </td>
            </tr>
            <%}%>
        </tbody>
        </table>
        <div class="row margin">
                <button class="btn waves-effect waves-light col s2 orange darken-3" type="submit" id="Ajornada" name="Ajornada">Añadir jornada
                </button>
                <div class="input-field">
                    <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                    <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
                    <input type="hidden" name="id_jornada" id="id_jornada" value="<%=request.getParameter("id_jornada")%>">
                </div>
        </div>
        <% if (request.getSession().getAttribute("message") != null) {%>
        ${message}
        <% request.getSession().removeAttribute("message");
            }%>
    </form>
</div>
<%}else if (operacion.equals("MOD") || (operacion.equals("REGE"))){
    ArrayList<Partido> partidos = (ArrayList<Partido>)request.getAttribute("partidos");
    int tamaño = partidos.size();
    int tamañoT = Integer.parseInt(request.getParameter("equipos"));
    String readonly = "";
    if(operacion.equals("MOD")){
        readonly="";
    }else{
        readonly="readonly";
    }
%>
<div id="crearEntrenamiento-page" class="row">
    <form action="guardarJornada" method="post">
        <div class="row">  
            <br>
            <br>
        </div>
        <div class="row">
            <div class=" row margin input-field col m3 ">
                <i class="Small material-icons prefix">event</i>
                <input type="text" class="datepicker" name="fecha_jornada" id="fecha_jornada" value="<%=request.getParameter("fecha_jornada")%>" <%=readonly%>>
                <label>Introduzca el primer dia de la jornada</label>
            </div>
        </div>
        <table class="striped centered">
        <thead>
            <tr>
                <th>Equipo Local</th>
                <th colspan="3">Resultado</th>
                <th>Equipo visitante</th>
                <th>Fecha</th>
                <th>Hora</th>
                <th>Lugar</th>
            </tr>
        </thead>
        <tbody>
            <% for (int i = 0; i<tamaño; i++){
                Partido partido = partidos.get(i);
            %>
            <tr>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo1_<%=i%>" id="equipo1_<%=i%>" value="<%=partido.getEquipo1()%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado1_<%=i%>" id="resultado1_<%=i%>" value="<%=partido.getResultado_equipo1()%>">
                        </div>
                    </div>
                </td>
                <td>-</td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado2_<%=i%>" id="resultado2_<%=i%>" value="<%=partido.getResultado_equipo2()%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo2_<%=i%>" id="equipo2_<%=i%>" value="<%=partido.getEquipo2()%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input type="text" class="datepicker" name="fecha_<%=i%>" id="fecha_<%=i%>" value="<%=partido.getFecha_partido()%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="hora_<%=i%>" id="hora_<%=i%>" value="<%=partido.getHora_partido()%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="lugar_<%=i%>" id="lugar_<%=i%>" value="<%=partido.getLugar_partido()%>" <%=readonly%>>
                            <input type="hidden" name="id_partido_<%=i%>" id="id_partido_<%=i%>" value="<%=partido.getId_partido()%>"
                        </div>
                    </div>
                </td>
            </tr>
            <%}
            
            if(tamañoT>tamaño && operacion.equals("MOD")){
            for (int i = tamaño; i<tamañoT; i++){
            %>
            <tr>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo1_<%=i%>" id="equipo1_<%=i%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado1_<%=i%>" id="resultado1_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>-</td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado2_<%=i%>" id="resultado2_<%=i%>">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo2_<%=i%>" id="equipo2_<%=i%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input type="text" class="datepicker" name="fecha_<%=i%>" id="fecha_<%=i%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="hora_<%=i%>" id="hora_<%=i%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="lugar_<%=i%>" id="lugar_<%=i%>" <%=readonly%>>
                        </div>
                    </div>
                </td>
            </tr>
            <%}
            }%>
        </tbody>
        </table>
        <div class="row margin">
                <button class="btn waves-effect waves-light col s1 orange darken-3" type="submit" id="Mjornada" name="Mjornada">Modificar jornada
                </button>
                <div class="input-field">
                    <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                    <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
                    <input type="hidden" name="tamañoT" id="tamañoT" value="<%=tamañoT%>">
                    <input type="hidden" name="id_jornada" id="id_jornada" value="<%=request.getParameter("id_jornada")%>">
                </div>
        </div>
        <% if (request.getSession().getAttribute("message") != null) {%>
        ${message}
        <% request.getSession().removeAttribute("message");
            }%>
    </form>
</div>
<%}else if (operacion.equals("VER") || (operacion.equals("VERE"))){
ArrayList<Partido> partidos = (ArrayList<Partido>)request.getAttribute("partidos");
int tamaño = partidos.size();
%>
<div id="crearEntrenamiento-page" class="row">
    <form action="descargarResultados" method="post">
        <div class="row"> 
            <br>
            <br>
        </div>
        <div class="row">
            <div class=" row margin input-field col m3 ">
                <i class="Small material-icons prefix">event</i>
                <input type="text" class="datepicker" name="fecha_jornada" id="fecha_jornada" value="<%=request.getParameter("fecha_jornada")%>" readonly="<%=true%>">
                <label>Introduzca la fecha de entrenamiento</label>
            </div>
        </div>
        <table class="striped centered">
        <thead>
            <tr>
                <th>Equipo Local</th>
                <th colspan="3">Resultado</th>
                <th>Equipo visitante</th>
                <th>Fecha</th>
                <th>Hora</th>
                <th>Lugar</th>
            </tr>
        </thead>
        <tbody>
            <% for (int i = 0; i<tamaño; i++){
                Partido partido = partidos.get(i);
            %>
            <tr>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo1_<%=i%>" id="equipo1_<%=i%>" value="<%=partido.getEquipo1()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado1_<%=i%>" id="resultado1_<%=i%>" value="<%=partido.getResultado_equipo1()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>-</td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="resultado2_<%=i%>" id="resultado2_<%=i%>" value="<%=partido.getResultado_equipo2()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="equipo2_<%=i%>" id="equipo2_<%=i%>" value="<%=partido.getEquipo2()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input type="text" class="datepicker" name="fecha_<%=i%>" id="fecha_<%=i%>" value="<%=partido.getFecha_partido()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="hora_<%=i%>" id="hora_<%=i%>" value="<%=partido.getHora_partido()%>" readonly="true">
                        </div>
                    </div>
                </td>
                <td>
                    <div class="row margin">
                        <div class="input-field">
                            <input name="lugar_<%=i%>" id="lugar_<%=i%>" value="<%=partido.getLugar_partido()%>" readonly="true">
                            <input type="hidden" name="id_partido_<%=i%>" id="id_partido_<%=i%>" value="<%=partido.getId_partido()%>"
                        </div>
                    </div>
                </td>
            </tr>
            <%}%>
        </tbody>
        </table>
        <div class="row margin">
                <% if(operacion.equals("VER")){%>
                <button class="btn waves-effect waves-light col s1 orange darken-3" type="submit" id="descargar" name="descargar">Descargar
                </button>
                <a class="col s1"></a>
                <%}%>
                <a class="waves-effect waves-light btn col s1 orange darken-3" onclick="location.href='/principal'" id="volver" name="volver">Volver</a>
                <div class="input-field">
                    <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                    <input type="hidden" name="tamaño" id="tamaño" value="<%=tamaño%>">
                    <input type="hidden" name="id_jornada" id="id_jornada" value="<%=request.getParameter("id_jornada")%>">
                </div>
        </div>
        <% if (request.getSession().getAttribute("message") != null) {%>
       ${message}
       <% request.getSession().removeAttribute("message");
           }%>
    </form>
</div>
<%}%>
<!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $(document).ready(function(){
            $('select').formSelect();
    });
    
    $(document).ready(function(){
        $('.datepicker').datepicker();
    });
    
    $( '#Ajornada' ).click(function() {
        if($("#fecha_jornada").val() === ""){
            alert("Seleccione una fecha para crear la jornada");
            return false; 
        }
        var tamaño = document.getElementById('tamaño').value;
        for(var i = 0; i<tamaño; i++){
            if (($("#equipo1_"+i).val() !== "") ||($("#equipo2_"+i).val() !== "")
                    || ($("#fecha_"+i).val() !== "") || ($("#hora_"+i).val() !== "")
                    || ($("#lugar_"+i).val() !== "")){
                if((($("#equipo1_"+i).val() === "") ||($("#equipo2_"+i).val() === "")
                    || ($("#fecha_"+i).val() === "") || ($("#hora_"+i).val() === "")
                    || ($("#lugar_"+i).val() === ""))){
                    alert("Rellene todos los campos del partido menos el resultado para crear la jorna");
                    return false; 
                }
            }
        }
        return true;
    });
    
     $( '#Mjornada' ).click(function() {
       if($("#fecha_jornada").val() === ""){
            alert("Seleccione una fecha para crear la jornada");
            return false; 
        }
        var tamaño = document.getElementById('tamaño').value;
        for(var i = 0; i<tamaño; i++){
            if (($("#equipo1_"+i).val() !== "") ||($("#equipo2_"+i).val() !== "")
                    || ($("#fecha_"+i).val() !== "") || ($("#hora_"+i).val() !== "")
                    || ($("#lugar_"+i).val() !== "")){
                if((($("#equipo1_"+i).val() === "") ||($("#equipo2_"+i).val() === "")
                    || ($("#fecha_"+i).val() === "") || ($("#hora_"+i).val() === "")
                    || ($("#lugar_"+i).val() === ""))){
                    alert("Rellene todos los campos del partido menos el resultado para modificar la jorna");
                    return false; 
                }
            }
        }
        return true;
    });
  </script>


</body>

</html>
<%}%>