<%@page import="Modelo.Usuario"%>
<%@page import="Modelo.Equipo"%>
<%@page import="java.util.ArrayList"%>
<%@page import="Modelo.CodClub"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
    <% if (request.getSession().getAttribute("message") != null) {%>
    ${message}
    <% request.getSession().removeAttribute("message");
    }else if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { 
    String operacion = request.getParameter("operacion");
    ArrayList<String> fechas = (ArrayList<String>) request.getAttribute("fechas");
    ArrayList<ArrayList<String>> entrenamientos = (ArrayList<ArrayList<String>>) request.getAttribute("lista_entrenamientos");
        %>
<%@ include file="/includes/header.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->    
<!--  <link href="css/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">-->
  
</head>

<body>
    <div id="crearEntrenamiento-page" class="row">
        <form action="verEntrenamiento" method="post" onsubmit="return validarFechaEntrenamiento(this)">
            <div class="row">   
                <br>
                <br>
            </div>
            <div class="row">
                <div class="input-field col s3">
                    <select name="id_entrenamiento" id="id_entrenamiento" onchange="return cargarEquipos(this)">
                        <option value="" disabled selected>Seleccione un entrenamiento</option>
                        <% for (int i = 0; i < entrenamientos.size();i++) {
                                ArrayList<String> aux = entrenamientos.get(i);
                                String fecha = fechas.get(i);
                            %>
                            <option value="<%=aux.get(0)%>"><%=fecha%></option>
                        <% } %>
                    </select>
                    <label>Selecciona un entrenamiento :</label>
                </div>
            </div>
                <div class="row margin col m3">
                    <button class="btn waves-effect waves-light col s8 orange darken-3" type="submit" id="siguiente" name="siguiente">Siguiente
                    </button>
                    <input type="hidden" name="operacion" id="operacion" value="<%=operacion%>">
                </div>
        </form>
    </div>
    
  <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $(document).ready(function(){
            $('select').formSelect();
    });
    
    $( '#siguiente' ).click(function() {
       if($("#id_entrenamiento").val() === ""){
         alert("Seleccione una fecha de entrenamiento");
         return false; 
       }else{
           return true;
       }
    });
  </script>


</body>

</html>
<%}%>