<%@page contentType="text/html" pageEncoding="UTF-8"%>
    <% if (request.getSession().getAttribute("message") != null) {%>
    ${message}
    <% request.getSession().removeAttribute("message");
        }%>
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link rel="shortcut icon" href="img/favicon.ico"/>
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->    
  <link href="css/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<body class="blue darken-4">
  <!-- Start Page Loading -->
  <!-- End Page Loading -->



  <div id="login-page" class="row">
    <div class="col s12 z-depth-4 card-panel">
      <form action="login" method="post" onsubmit="return validarLogin()">
        <div class="row">
          <div class="input-field col s12 center">
            <img src="img/basket.png" alt="" class="circle responsive-img valign profile-image-login">
            <p class="center login-form-text">Bappsket</p>
          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="Small material-icons prefix">account_box</i>
            <input id="correo" name="correo" type="text">
            <label for="correo" class="center-align">Correo</label>
          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="Small material-icons prefix">lock</i>
            <input id="contraseña" name="contraseña" type="password">
            <label for="contraseña">Contraseña</label>
          </div>
        </div>
        <div class="row margin">
            <button class="btn waves-effect waves-light col s12 orange darken-4" type="submit" id="login" name="login">Login
            </button>
        </div>
        <div class="row">
          <div class="input-field col s6 m6 l6">
            <p class="margin medium-small"><a href="registro.jsp">Regístrate</a></p>
          </div>     
        </div>
      </form>
    </div>
  </div>



  <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $( "#login" ).click(function() {
       if($("#correo").val() === ""){
         alert("El campo correo no puede estar vacío");
         return false;
       }else if ($("#contraseña").val() === ""){
         alert("El campo contraseña no puede estar vacío");
         return false;  
       }else{
           return true;
       }
    });
  </script>


</body>

</html>     
