<%@page import="Modelo.Equipo"%>
<%@page import="Modelo.Partido"%>
<%@page import="Modelo.Entrenamiento"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@include file="/includes/header.jsp" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<body>

<div id="registro-page" class="row">
    <%Usuario usuarioD = (Usuario) request.getSession().getAttribute("usuario");
      if(!usuarioD.getTipo_usuario().equals("A")){
    %>
    <div>
        <h2>Ultimos entrenamientos:</h2>  
    </div>
    <%
    ArrayList<ArrayList<String>> lista_entrenamientos = (ArrayList<ArrayList<String>>) request.getAttribute("lista_entrenamientos");
    ArrayList<String> fechas = (ArrayList<String>) request.getAttribute("fechas");
    if (lista_entrenamientos.isEmpty()) {%>
    <div>
        <p>No tienes entrenamientos.</p>
    </div>
    <% } else {
            int i;
            int tamaño = 10;
            if(lista_entrenamientos.size()<10){
                tamaño = lista_entrenamientos.size();
            }
            for (i = 0; i < tamaño; i++) {
                ArrayList<String> aux = lista_entrenamientos.get(i);
                String fecha = fechas.get(i);
                String entrenamiento = "Entrenamiento dia "+fecha;
                String href = "verEntrenamiento?id_entrenamiento="+aux.get(0)+"&fecha="+aux.get(1)+"&operacion=PRI";
    %>
    <div class="row">
        <div class="col s12 m6">
            <div class="card orange darken-3">
                <div class="card-content white-text">
                    <span class="card-title"><%=entrenamiento%></span>
                </div>
                <div class="card-action">
                    <a href="<%=href%>"><span class=" white-text">Ver</span></a>
                </div>
            </div>
        </div>
    </div>
    <% }
    if (usuarioD.getTipo_usuario().equals("EC")){
        ArrayList<Partido> lista_partidos = (ArrayList<Partido>) request.getAttribute("lista_partidos");
        int tamañoP = lista_partidos.size();%>
    <div>
        <h2>Ultima jornada:</h2>  
    </div>
    <% if(lista_partidos.isEmpty()){%>
    <div>
        <p>No hay jornada.</p>
    </div>
    <%}else{%>
    <table class="striped centered">
        <thead>
          <tr>
              <th>Equipo Local</th>
              <th colspan="3">Resultado</th>
              <th>Equipo visitante</th>
              <th>Fecha</th>
              <th>Hora</th>
              <th>Lugar</th>
          </tr>
        </thead>
        <tbody>
            <% for (int j = 0; j<tamañoP; j++){
                Partido partido = lista_partidos.get(j);
            %>
            <tr>
                <td><%=partido.getEquipo1()%></td>
                <td><%=partido.getResultado_equipo1()%></td>
                <td>-</td>
                <td><%=partido.getResultado_equipo2()%></td>
                <td><%=partido.getEquipo2()%></td>
                <td><%=partido.getFecha_partido()%></td>
                <td><%=partido.getHora_partido()%></td>
                <td><%=partido.getLugar_partido()%></td>
            </tr>
            <div class="row margin col m3">
                <input type="hidden" name="id_partido_<%=j%>" id="id_partido_<%=j%>" value="<%=partido.getId_partido()%>">
            </div>
            <%}%>
        </tbody>
    </table>
    <%}
    }
    }
}

    if (usuarioD.getTipo_usuario().equals("A")){
        ArrayList<Equipo> lista_equipos = (ArrayList<Equipo>) request.getAttribute("lista_equipos");
    int tamañoE = lista_equipos.size();%>
    <div>
        <h2>Equipos:</h2>
    </div>
    <%if(lista_equipos.isEmpty()){%>
    <div>
        <p>No hay equipos</p>
    </div>
    <%}else{
            for (int l = 0; l < tamañoE; l++) {
            Equipo aux = lista_equipos.get(l);
            String equipo = aux.getNombre_equipo();
            String href = "crearEquipo?operacion=MOD&equipo="+aux.getId_equipo();
            %>
    <div class="row">
        <div class="col s12 m6">
            <div class="card orange darken-3">
                <div class="card-content white-text">
                    <span class="card-title"><%=equipo%></span>
                </div>
                <div class="card-action">
                    <a href="<%=href%>"><span class=" white-text">Ver</span></a>
                </div>
            </div>
        </div>
    </div>
    <% }
    }
    ArrayList<Partido> lista_partidos = (ArrayList<Partido>) request.getAttribute("lista_partidos");
        int tamañoP = lista_partidos.size();%>
    <div>
        <h2>Ultima jornada:</h2>  
    </div>
    <% if(lista_partidos.isEmpty()){%>
    <div>
        <p>No hay jornada.</p>
    </div>
    <%}else{%>
    <table class="striped centered">
        <thead>
          <tr>
              <th>Equipo Local</th>
              <th colspan="3" >Resultado</th>
              <th>Equipo visitante</th>
              <th>Fecha</th>
              <th>Hora</th>
              <th>Lugar</th>
          </tr>
        </thead>
        <tbody>
            <% for (int j = 0; j<tamañoP; j++){
                Partido partido = lista_partidos.get(j);
            %>
            <tr>
                <td><%=partido.getEquipo1()%></td>
                <td><%=partido.getResultado_equipo1()%></td>
                <td>-</td>
                <td><%=partido.getResultado_equipo2()%></td>
                <td><%=partido.getEquipo2()%></td>
                <td><%=partido.getFecha_partido()%></td>
                <td><%=partido.getHora_partido()%></td>
                <td><%=partido.getLugar_partido()%></td>
            </tr>
            <div class="row margin col m3">
                <input type="hidden" name="id_partido_<%=j%>" id="id_partido_<%=j%>" value="<%=partido.getId_partido()%>">
            </div>
            <%}%>
        </tbody>
    </table>
    <%}
    } %>
</div>
 <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $(document).ready(function(){
        $('.datepicker').datepicker();
    });
    
    $( '#siguiente' ).click(function() {
       if($("#fecha_entrenamiento").val() === ""){
         alert("Introduzca una fecha para el entrenamiento");
         return false; 
       }else{
           return true;
       }
    });
  </script>


</body>

</html>