<%@page import="Modelo.Ejercicio"%>
<%@page import="Modelo.CodTipoEjercicio"%>
<%@page import="Modelo.CodCategoriaEjercicio"%>
<%@page import="Modelo.CodConcepto"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %>
<%@ include file="/includes/header.jsp" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<div id="registro-page" class="row">
    <form action="login2" method="post" onsubmit="return validarLogin2(this)">
        <div>
            <h2>Ejercicios</h2>  
        </div>
        <div class="input-field col s4">
            <select name="concepto" id="concepto">
                <option value="" selected>Seleccione un concepto</option>
                <% for (CodConcepto cc : (ArrayList<CodConcepto>) request.getAttribute("conceptos")) {
                    request.setAttribute("cc", cc);
                %>
                <option value="${cc.cod_concepto}">${cc.descripcion_concepto}</option>
                <%}%>  
            </select>
            <label>Selecciona un concepto:</label>
        </div>
        <div class="input-field col s4">
            <select name="categoria" id="categoria">
                <option value="" selected>Seleccione una categoria</option>
                <% for (CodCategoriaEjercicio cce : (ArrayList<CodCategoriaEjercicio>) request.getAttribute("categorias")) {
                        request.setAttribute("cce", cce);
                    %>
                    <option value="${cce.cod_categoria_ejer}">${cce.descripcion_categoria_ejer}</option>
                    <%}%> 
            </select>
            <label>Selecciona una categoria:</label>
        </div>
        <div class="input-field col s4">
            <select name="tipo" id="tipo">
                <option value="" selected>Seleccione un tipo</option>
                <% for (CodTipoEjercicio cte : (ArrayList<CodTipoEjercicio>) request.getAttribute("tipos")) {
                        request.setAttribute("cte", cte);
                    %>
                    <option value="${cte.cod_tipo_ejer}">${cte.descripcion_tipo_ejer}</option>
                    <%}%>  
            </select>
            <label>Selecciona un tipo:</label>
        </div>
        <div class="row margin">
            <a class="waves-effect waves-light btn orange darken-3" id="buscar" name="buscar"><i class="material-icons left">search</i>Buscar</a>
            <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
            <input type="hidden" name="id_entrenamiento" id="id_entrenamiento" value="<%=request.getParameter("id_entrenamiento")%>">
            <input type="hidden" name="fecha" id="fecha" value="<%=request.getParameter("fecha")%>"
        </div>
        <div id="ejercicios">
        </div>       
    </form>
</div>

   <!-- ================================================
      Scripts
      ================================================ -->

    <!-- jQuery Library -->
    <script type="text/javascript" src="js/jquery.js"></script>
    <!--materialize js-->
    <script type="text/javascript" src="js/materialize.min.js"></script>
    <!---script comprobaciones --->
    <script type="text/javascrpit" src="js/validarFormulario.js"></script>
    <script type="text/javascrpit" src="js/ajax.js"></script>
    <script>
        $(document).ready(function(){
            $('select').formSelect();
        });
        
        $('#buscar').on('click',function(){
            var concepto = document.getElementById('concepto').value;
            var categoria = document.getElementById('categoria').value;
            var operacion = document.getElementById('operacion').value;
            var id_entrenamiento = document.getElementById('id_entrenamiento').value;
            var fecha = document.getElementById('fecha').value;
            var tipo = document.getElementById('tipo').value;
            $(document).ready(function(){
                $.post('/cargarEjercicio?concepto='+concepto+'&categoria='+categoria+'&tipo='+tipo+'&operacion='+operacion+'&id_entrenamiento='+id_entrenamiento+'&fecha='+fecha,{},
                function(reponseText){
                    $('#ejercicios').html(reponseText);
                }); 
            });
        });
    </script>


</body>

</html>
<% }%>