<%@page import="Datos.UsuarioDB"%>
<%@page import="Modelo.Usuario"%>
<%@page import="Modelo.MiembrosClub"%>
<%@page import="java.util.ArrayList"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %>
<%@ include file="/includes/header.jsp" %>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<body>
<div id="crearEntrenamiento-page" class="row">
        <form action="eliminarEntrenador" method="post">
            <div class="row">   
                <br>
                <br>
            </div>
            <div class="row">
                <div class="input-field col s3">
                    <select name="entrenador" id="entrenador">
                        <option value="" disabled selected>Seleccione un entrenador:</option>
                        <% for (MiembrosClub mc : (ArrayList<MiembrosClub>) request.getAttribute("lista_entrenadores")) {
                            
                            String id_usuario = mc.getId_usuario();
                            Usuario usuarioE = UsuarioDB.getUsuarioId(id_usuario);
                            request.setAttribute("usuarioE", usuarioE);
                        %>
                        <option value=${usuarioE.id_usuario}>${usuarioE.nombre} ${usuarioE.apellidos}</option>
                        <% } %>
                    </select>
                    <label>Selecciona un entrenador:</label>
                </div>
            </div>
                <div class="row margin col m3">
                    <button class="btn waves-effect waves-light col s8 orange darken-3" type="submit" id="eliminar" name="eliminar">Eliminar
                    </button>
                </div>
        </form>
    </div>
    
  <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/jquery.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.min.js"></script>
  <!---script comprobaciones --->
  <script type="text/javascrpit" src="js/validarFormulario.js"></script>
  <script>
    $(document).ready(function(){
            $('select').formSelect();
    });
    
    $( '#eliminar' ).click(function() {
       if($("#entrenador").val() === null){
         alert("Seleccione una entrenador para eliminar");
         return false; 
       }else{
           return true;
       }
    });
  </script>


</body>

</html>
<%}%>