<%@page import="Modelo.Usuario"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

  <!DOCTYPE html>
  <html>
    <head>
      <link rel="shortcut icon" href="img/favicon.ico"/>
      <!--Import Google Icon Font-->
      <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
      <!--Import materialize.css-->
      <link type="text/css" rel="stylesheet" href="css/materialize.min.css"  media="screen,projection"/>

      <!--Let browser know website is optimized for mobile-->
      <title>Bappsket</title>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>

    <% Usuario usuario = (Usuario) request.getSession().getAttribute("usuario");
    String tipo_usuario = usuario.getTipo_usuario();
    if (tipo_usuario.equals("A")){
    %>
    <body>
        <!-- Dropdown Structure -->
        <ul id="dropdown1" class="dropdown-content">
            <li class="orange darken-3"><a href ="/crearEquipo?operacion=REG"><span class="white-text">Registrar Equipo</span></a></li>
            <li class="orange darken-3"><a href ="/elegirEquipo?operacion=MOD"><span class="white-text">Modificar Equipo</span></a></li>
        </ul>
        <!-- Dropdown Structure -->
        <ul id="dropdown2" class="dropdown-content">
            <li class="orange darken-3"><a href = "/añadirEntrenador.jsp"><span class="white-text">Añadir entrenador</span></a></li>
            <li class="orange darken-3"><a href ="/elegirEntrenador"><span class="white-text">Eliminar Entrenador</span></a></li>
        </ul>
        
        <!-- Dropdown Structure -->
        <ul id="dropdown3" class="dropdown-content">
            <li class="orange darken-3"><a href = "/crearJornada?operacion=REG"><span class="white-text">Registrar jornada</span></a></li>
            <li class="orange darken-3"><a href = "/elegirJornada?operacion=MOD"><span class="white-text">Modificar jornada</span></a></li>
            <li class="orange darken-3"><a href = "/elegirJornada?operacion=VER"><span class="white-text">Ver resultados</span></a></li>
        </ul>
        
        <nav class="blue darken-4">
            <div class="nav-wrapper">
              <img src="img/basket.png" alt="" class="circle responsive-img valign profile-image-login">
              <a href="/principal" class="brand-logo">Bappsket</a>
              <ul class="right hide-on-med-and-down ">
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown1">Equipos<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown2">Entrenadores<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown3">Jornadas<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a href = "logout">Desconectarse</a>
              </ul>
            </div>
        </nav>
        
        <!--JavaScript at end of body for optimized loading-->
        <script type="text/javascript" src="js/jquery.js"></script>
        <script type="text/javascript" src="js/materialize.min.js"></script>
        <script>
            $(document).ready(function(){
               $(".dropdown-trigger").dropdown(); 
            })
        </script>
    </body>
    <% }else if (tipo_usuario.equals("E")){ %>
    <body>
        <!-- Dropdown Structure -->
        <ul id="dropdown1" class="dropdown-content">
            <li class="orange darken-3"><a href ="/crearEquipo?operacion=REG"><span class="white-text">Registrar Equipo</span></a></li>
            <li class="orange darken-3"><a href ="/elegirEquipo?operacion=MOD"><span class="white-text">Modificar Equipo</span></a></li>
        </ul>
        
        <ul id="dropdown2" class="dropdown-content">
            <li class="orange darken-3"><a href ="/crearEntrenamiento.jsp?operacion=REG"><span class="white-text">Crear Entrenamiento</span></a></li>
            <li class="orange darken-3"><a href ="/elegirEntrenamiento?operacion=VER"><span class="white-text">Ver Entrenamientos</span></a></li>
        </ul>
        
        <%if (request.getSession().getAttribute("equipo") != null){ %>
                <ul id="dropdown3" class="dropdown-content">
                    <li class="orange darken-3"><a href ="/añadirAsistencia?operacion=REG"><span class="white-text">Añadir Asistencia</span></a></li>
                    <li class="orange darken-3"><a href ="/elegirAsistencia?operacion=MOD"><span class="white-text">Modificar Asistencia</span></a></li>
                    <li class="orange darken-3"><a href ="/elegirAsistencia?operacion=VER"><span class="white-text">Modificar Asistencia</span></a></li>
                </ul>  
        <%}%>
        
        <nav class="blue darken-4">
            <div class="nav-wrapper">
              <img src="img/basket.png" alt="" class="circle responsive-img valign profile-image-login">
              <a href="/principal" class="brand-logo">Bappsket</a>
              <ul class="right hide-on-med-and-down">
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown1">Equipos<i class="material-icons right">arrow_drop_down</i></a></li>
                <%if (request.getSession().getAttribute("equipo") != null){ %>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown3">Asistencia<i class="material-icons right">arrow_drop_down</i></a></li>
                <%}%>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown2">Entrenamientos<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a href ="/crearEjercicio">Añadir Nuevo Ejercicio</a></li>
                <li><a href ="/cambiarEquipo">Cambiar club/equipo</a></li>
                <li><a href = "logout">Desconectarse</a>
              </ul>
            </div>
          </nav>
        <!--JavaScript at end of body for optimized loading-->
        <script type="text/javascript" src="js/jquery.js"></script>
        <script type="text/javascript" src="js/materialize.min.js"></script>
        <script>
            $(document).ready(function(){
               $(".dropdown-trigger").dropdown(); 
            })
        </script>
    </body>
    <% }else if (tipo_usuario.equals("EC")){ %>
    <body>
        <ul id="dropdown2" class="dropdown-content">
            <li class="orange darken-3"><a href ="/crearEntrenamiento.jsp?operacion=REG"><span class="white-text">Crear Entrenamiento</span></a></li>
            <li class="orange darken-3"><a href ="/elegirEntrenamiento?operacion=VER"><span class="white-text">Ver Entrenamientos</span></a></li>
        </ul>
        
        <ul id="dropdown3" class="dropdown-content">
            <li class="orange darken-3"><a href ="/añadirAsistencia?operacion=REG"><span class="white-text">Añadir Asistencia</span></a></li>
            <li class="orange darken-3"><a href ="/elegirAsistencia?operacion=MOD"><span class="white-text">Modificar Asistencia</span></a></li>
            <li class="orange darken-3"><a href ="/elegirAsistencia?operacion=VER"><span class="white-text">Ver Asistencia</span></a></li>
        </ul>  
        
        <ul id="dropdown4" class="dropdown-content">
            <li class="orange darken-3"><a href = "/elegirJornada?operacion=REGE"><span class="white-text">Añadir resultado</span></a></li>
            <li class="orange darken-3"><a href = "/elegirJornada?operacion=VERE"><span class="white-text">Ver resultados</span></a></li>
        </ul>
        
        <nav class="blue darken-4">
            <div class="nav-wrapper">
              <img src="img/basket.png" alt="" class="circle responsive-img valign profile-image-login">
              <a href="/principal" class="brand-logo">Bappsket</a>
              <ul class="right hide-on-med-and-down">
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown2">Entrenamientos<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown3">Asistencia<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a class="dropdown-trigger" href="#!" data-target="dropdown4">Jornadas<i class="material-icons right">arrow_drop_down</i></a></li>
                <li><a href ="/crearEjercicio">Añadir Nuevo Ejercicio</a></li>
                <li><a href ="/cambiarEquipo">Cambiar club/equipo</a></li>
                <li><a href = "logout">Desconectarse</a>
              </ul>
            </div>
          </nav>
        <!--JavaScript at end of body for optimized loading-->
        <script type="text/javascript" src="js/jquery.js"></script>
        <script type="text/javascript" src="js/materialize.min.js"></script>
        <script>
            $(document).ready(function(){
               $(".dropdown-trigger").dropdown(); 
            })
        </script>
    </body>
    <%}%>
  </html>