<%@page import="Datos.CodTipoEjercicioDB"%>
<%@page import="Datos.CodConceptoDB"%>
<%@page import="Datos.CodCategoriaEjercicioDB"%>
<%@page import="Modelo.Ejercicio"%>
<%@page import="Datos.EjercicioDB"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% if (request.getSession().getAttribute("usuario") == null) {%>
<%@ include file="/includes/login.jsp" %>
<% } else { %>
<%@ include file="/includes/header.jsp" %>
<% Ejercicio ejercicio = (Ejercicio) request.getAttribute("ejercicio");%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <title>Bappsket</title>


  <!-- CORE CSS-->
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  <link href="css/materialize.min.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
  
</head>

<div id="registro-page" class="row">
    <form action="crearEntrenamiento3" method="post">
        <div>
            <h2><%=ejercicio.getNombre()%></h2>  
        </div>
        <div class="row margin">
            <div class="input-field col s2">
                <input readonly id="categoria" name="categoria" type="text" value="<%=request.getParameter("categoria")%>">
                <label for="categoria" class="center-align">Categoria</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s2">
                <input readonly id="concepto1" name="concepto1" type="text" value="<%=request.getParameter("concepto1")%>">
                <label for="concepto1" class="center-align">Conceptos</label>
            </div>
            <% if(!request.getParameter("concepto2").equals("")){%>
            <div class="input-field col s2">
                <input ireadonly d="concepto2" name="concepto2" type="text" value="<%=request.getParameter("concepto2")%>">    
            </div>
            <%}%>
            <% if(!request.getParameter("concepto3").equals("")){%>
            <div class="input-field col s2">
                <input readonly id="concepto3" name="concepto3" type="text" value="<%=request.getParameter("concepto3")%>"> 
            </div>
            <%}%>
        </div>
        <div class="row margin">
            <div class="input-field col s2">
                <input readonly id="tipo" name="tipo" type="text" value="<%=request.getParameter("tipo")%>">
                <label for="tipo" class="center-align">Tipo</label>
            </div>
        </div>
        <div class="row margin">
            <div class="input-field col s6">
                <textarea readonly id="desc" class="materialize-textarea"><%=ejercicio.getDescripcion()%></textarea>
                <label for="desc">Descripción</label>
            </div>
        </div>
        <%
          if(request.getParameter("operacion").equals("REG")){ 
        %>
        <div class="row margin">
            <div class="input-field col s2">
                <input id="tiempo_ejercicio" name="tiempo_ejercicio" type="text">
                <label for="tiempo_ejercicio" class="center-align">Tiempo a entrenar (min):</label>
            </div>
        </div>
        <%}else {%>
        <div class="row margin">
            <div class="input-field col s2">
                <input id="tiempo_ejercicio" name="tiempo_ejercicio" type="text" value="<%=request.getParameter("tiempo")%>">
                <label for="tiempo_ejercicio" class="center-align">Tiempo a entrenar (minutos):</label>
            </div>
        </div>
        <%}
        
          if(request.getParameter("operacion").equals("MOD")){ 
        %>
        <div class="row margin">
            <div class="input-field col s6">
                <textarea id="comentario" name="comentario" class="materialize-textarea"><%=request.getParameter("comentario")%></textarea>
                <label for="comentario">Comentario</label>
            </div>
        </div>
        <%}
        if(request.getParameter("operacion").equals("REG")){%>
        <div class="row margin">
            <% String href="/crearEntrenamiento?operacion="+request.getParameter("operacion")+"&fecha_entrenamiento="+request.getParameter("fecha")
            +"&id_entrenamiento="+request.getParameter("id_entrenamiento");%>
            <button class="btn waves-effect waves-light col s1 orange darken-3" type="submit" id="añadir" name="añadir">Añadir Ejercicio
            </button>
            <a class="col s1"></a>
            <a class="waves-effect waves-light btn col s1 orange darken-3" id="buscar"  onclick="location.href='<%=href%>'" name="buscar">Volver</a>
        </div>
        <%}else{%>
        <div class="row margin">
            <% String href="/borrarEjercicio?operacion="+request.getParameter("operacion")+"&fecha="+request.getParameter("fecha")
            +"&id_entrenamiento="+request.getParameter("id_entrenamiento")+"&id_ejercicio="+request.getParameter("id_ejercicio");%>
            <button class="btn waves-effect waves-light col s1 orange darken-3" type="submit" id="añadir" name="añadir">Modificar ejercicio
            </button>
            <a class="col s1"></a>
            <a class="waves-effect waves-light btn col s1 orange darken-3" id="buscar"  onclick="location.href='<%=href%>'" name="buscar">Eliminar</a>
        </div>
        <%}%>
        <div class="row margin">
            <div class="input-field col s6">
                <input type="hidden" name="id_ejercicio" id="id_ejercicio" value="<%=request.getParameter("id_ejercicio")%>">
                <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
                <input type="hidden" name="id_entrenamiento" id="id_entrenamiento" value="<%=request.getParameter("id_entrenamiento")%>">
                <input type="hidden" name="fecha" id="fecha" value="<%=request.getParameter("fecha")%>"
            </div>
        </div>

    </form>
</div>

   <!-- ================================================
      Scripts
      ================================================ -->

    <!-- jQuery Library -->
    <script type="text/javascript" src="js/jquery.js"></script>
    <!--materialize js-->
    <script type="text/javascript" src="js/materialize.min.js"></script>
    <!---script comprobaciones --->
    <script type="text/javascrpit" src="js/validarFormulario.js"></script>
    <script type="text/javascrpit" src="js/ajax.js"></script>
    <script> 
        $( "#añadir" ).click(function() {
            if($("#tiempo_ejercicio").val() === ""){
                alert("El campo timepo a entrenar no puede estar vacio");
                return false;
            }else{
                return true;
            }
        });
    </script>


</body>

</html>       
        
   
   
   
   
   
   

<!--<script type="text/javascript" src="js/validarFormulario.js"></script>
<form action="crearEntrenamiento3" method="post" onsubmit="return validarTiempoEntrenamiento(this)">
    
        <h1><%=ejercicio.getNombre()%></h1>

        <table cellspacing="5" border="0" id="descripcion">
            <h4>Categoria: </h4><p><%=request.getParameter("categoria")%></p>
            <h4>Concepto1: </h4><p><%=request.getParameter("concepto1")%></p>
            <h4>Concepto2: </h4><p><%=request.getParameter("concepto2")%></p>
            <h4>Concepto3: </h4><p><%=request.getParameter("concepto3")%></p>
            <h4>Tipo: </h4><p><%=request.getParameter("tipo")%></p>
            <h4>Descripción: </h4><p><%=ejercicio.getDescripcion()%></p>
        </table>
        <%
          if(request.getParameter("operacion").equals("REG")){ 
        %>
        <tr>
            <td align="right">Tiempo a trabajar:</td>
            <td><input type="text"  maxlength="2" size="4" name="tiempo_ejercicio" id="tiempo_ejercicio">min</td>
        </tr>
        <%}else {%>
        <tr>
            <td align="right">Tiempo a trabajar:</td>
            <td><input type="text"  maxlength="2" size="4" name="tiempo_ejercicio" id="tiempo_ejercicio" value="<%=request.getParameter("tiempo")%>">min</td>
        </tr>
        <%}
        
          if(request.getParameter("operacion").equals("MOD")){ 
        %>
        <tr>
            <h4>Comentario: </h4>
        </tr>
        <tr>
            <td><textarea name="comentario" id="comentario" cols ="50" rows="10" maxlength="500" ><%=request.getParameter("comentario")%></textarea></td>
        </tr>
        <%}%>
        <br>
        <br>
        <tr>
            <%if(request.getParameter("operacion").equals("REG")){%>
                <td><input type="submit" value="Añadir ejercicio"></td>
                <% String href="/crearEntrenamiento?operacion="+request.getParameter("operacion")+"&fecha_entrenamiento="+request.getParameter("fecha")
                        +"&id_entrenamiento="+request.getParameter("id_entrenamiento");%>
                <td><input type="button" onclick="location.href='<%=href%>'" value="Volver"></td>
            <%}else{%>
                <td><input type="submit" value="Modificar ejercicio"></td>
                <% String href="/borrarEjercicio?operacion="+request.getParameter("operacion")+"&fecha="+request.getParameter("fecha")
                        +"&id_entrenamiento="+request.getParameter("id_entrenamiento")+"&id_ejercicio="+request.getParameter("id_ejercicio");%>
                <td><input type="button" onclick="location.href='<%=href%>'" value="Borrar ejercicio"></td>
            <%}%>
            <input type="hidden" name="id_ejercicio" id="id_ejercicio" value="<%=request.getParameter("id_ejercicio")%>">
            <input type="hidden" name="operacion" id="operacion" value="<%=request.getParameter("operacion")%>">
            <input type="hidden" name="id_entrenamiento" id="id_entrenamiento" value="<%=request.getParameter("id_entrenamiento")%>">
            <input type="hidden" name="fecha" id="fecha" value="<%=request.getParameter("fecha")%>"
        </tr>
    
</form>-->
<% }%>